# std::experimental::any::empty

From cppreference.com
< cpp‎ | experimental‎ | any

bool empty() const; |  | (library fundamentals TS)

Checks whether the object contains a value.

### Parameters

(none)

### Return value

true if instance is empty, otherwise false.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/any/empty&oldid=91612"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template